## kdelibs 3.5.10.dfsg.1

=== debian/changelog ===
kdelibs (4:3.5.10.dfsg.1-5ubuntu2) natty; urgency=low

  * debian/rules: clean the dependency_libs out of .la files at build
    time, per Policy 10.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Apr 2011 12:59:05 -0700

kdelibs (4:3.5.10.dfsg.1-5ubuntu1) natty; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - make sure control and control.in are in sync
    - --with-distribution="Kubuntu (`lsb_release --codename --short`)
      $(DEB_VERSION)"
    - binary-install/kdelibs-data installs aboutkde-kubuntu.png.uu and
      cr*-device-system.png.uu
    - don't build-dep on libgamin-dev, libfam-dev
    - stop kdelibs4-dev depending on gamin/fam
    - don't install .svgz icons, docs or all_languages in kdelibs-data.install
    - rosetta support in rules common-install-prehook-impl:: [and
      common-post-build-arch:: ?] and include debian/kubuntu-desktop-i18n/
    - build-dep on: gettext-kde, kdesdk-scripts, lsb-release, base-files, sudo
    - cdbs build-dep 0.4.41ubuntu2
    - kdelibs4-dev depends on gettext-kde, kdesdk-scripts
    - copy debian/icons over
    - Make kdelibs4c2a depend on launchpad-integration, sudo.  Recommends on
      xdg-user-dirs
    - Remove 19_debianize_useragent.diff (changed to
      kubuntu_19_debianize_useragent.diff) s/Debian/Kubuntu
    - remove kdelibs4c2a depends on menu-xdg
    - include kubuntu_01_kdepot.diff and kde.pot in debian/patches/common
    - use a local copy of kde.mk without the common-install-prehook-impl::
      rule; edit debian-qt-kde.mk to include debian/cdbs/kde.mk
    - build with --with-sudo-kdesu-backend and build-dep on sudo and make
      kdelibs4c2a depend on sudo
    - kdelibs-data.install : Add nzb mimetype
    - Make kdelibs4-dev replace more recent kdelibs4c2a for overlapping files
    - remove /usr/bin/preparetips, arts files and ksvntopng from
      kdelibs4-dev.install
    - Drop the package kdelibs4-doc completely. It contained API documentation
      which is now obsolete, but still available via api.kde.org.
    - make sure control and control.in are in sync
    - in debian/rule remove .pot files outside .po directory
    - 97_automake_cleanup.diff becomes kubuntu_97_automake_cleanup.diff
    - Remove libarts1-dev from build-depends and kdelibs4-dev depends from
      control.in
  * Drop kubuntu_98_fix_khc_invocation.diff, replaced by
    68_support_khelpcenter4.diff
  * Drop kubuntu_97_automake_cleanup.diff, replaced by 97_automake_cleanup.diff
  * Re-add security_05_XMLHttpRequest_vulnerability.diff which has been
    accidentally dropped
  * Fix FTBFS, in debian/rules:
    - Add -Wl,--add-needed to LDFLAGS
    - Disable parallel building

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 15 Oct 2010 19:20:42 +0200

kdelibs (4:3.5.10.dfsg.1-5) unstable; urgency=medium

  * Change by email address to @debian.org.
  * Drop common HTML docs from kdelibs-data package. Instead suggest
    kdelibs5-data which ships them (Closes: #591609). What's more, whoever
    wants to view docs, will have to install khelpcenter4 which pulls in
    kdelibs5-data anyway.
  * Switch to dpkg-source format 3.0 (quilt):
    - drop simple-patchsys.mk from debian/rules;
    - add debian/patches/series file.
  * Fix corruption of zip files caused by wrong encoding of umlauts in kzip
    (patch 67_kio_zip_file_encoding.diff). (Closes: #563942) Thanks to Bjoern
    Ricks for the patch.
  * Support opening of KDE 4 khelpcenter in Help -> Handbook. (Closes: #525621)
    Thanks to Ben Burton for the patch.
  * Do not recurse into .pc subdirectory with doxygen 
    (patch debian/patches/02_exclude_pc_from_dox.diff).
  * Urgency=medium due to multiple RC bug fixes.

 -- Modestas Vainius <modax@debian.org>  Sat, 07 Aug 2010 23:20:21 +0300

kdelibs (4:3.5.10.dfsg.1-4) unstable; urgency=low

  [ Pino Toscano ]
  * Pull upstream r1074155 to fix build with GCC 4.5. (Closes: #565013)

  [ Modestas Vainius ]
  * Do not ship all_languages in kdelibs-data.

  [ Moritz Muehlenhoff ]
  * Update copyright file. (Closes: #520485)
  * License for certbundle files has been clarified. (Closes: #520977)
  * Document scope of security support in Squeeze.  

  [ Ana Beatriz Guerrero Lopez ]
  * Update to Standards-Version 3.9.1, no changes required.
  * Add missing ${misc:Depends}.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 03 Aug 2010 19:51:40 -0400

kdelibs (4:3.5.10.dfsg.1-3ubuntu2) lucid; urgency=low

  * Remove kubuntu_97_kde4_menu_applications.diff, obsolete and can
    cause breakage

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Jan 2010 00:19:10 +0000

kdelibs (4:3.5.10.dfsg.1-3ubuntu1) lucid; urgency=low

  * Merge from Debian Testing.  Remaining Ubuntu changes:
    - make sure control and control.in are in sync
    - --with-distribution="Kubuntu (`lsb_release --codename --short`)
      $(DEB_VERSION)"
    - binary-install/kdelibs-data installs aboutkde-kubuntu.png.uu and
      cr*-device-system.png.uu
    - don't build-dep on libgamin-dev, libfam-dev
    - stop kdelibs4-dev depending on gamin/fam
    - don't install .svgz icons, docs or all_languages in kdelibs-data.install
    - rosetta support in rules common-install-prehook-impl:: [and
      common-post-build-arch:: ?] and include debian/kubuntu-desktop-i18n/
    - build-dep on: gettext-kde, kdesdk-scripts, lsb-release, base-files, sudo
    - cdbs build-dep 0.4.41ubuntu2
    - kdelibs4-dev depends on gettext-kde, kdesdk-scripts
    - copy debian/icons over
    - Make kdelibs4c2a depend on launchpad-integration, sudo.  Recommends on
      xdg-user-dirs
    - Remove 19_debianize_useragent.diff (changed to
      kubuntu_19_debianize_useragent.diff) s/Debian/Kubuntu
    - remove kdelibs4c2a depends on menu-xdg
    - include kubuntu_01_kdepot.diff and kde.pot in debian/patches/common
    - use a local copy of kde.mk without the common-install-prehook-impl::
      rule; edit debian-qt-kde.mk to include debian/cdbs/kde.mk

