=== debian/control ===
Source: kdelibs
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Armin Berres <trigger+debian@space-based.de>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>, Pino Toscano <pino@kde.org>
Build-Depends: cdbs (>= 0.4.41ubuntu2), debhelper (>= 6), autotools-dev,
 binutils (>= 2.14.90.0.7), docbook-to-man, gawk, gettext,
 libart-2.0-dev (>= 2.3.17), libacl1-dev,
 libattr1-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libaspell-dev, hspell, libbz2-dev, libcups2-dev,
 libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev, libldap2-dev,
 liblualib50-dev, libopenexr-dev (>= 1.2.2-4.1), libpcre3-dev,
 libqt3-mt-dev (>= 3:3.3.7), libsasl2-dev, libssl-dev,
 libtiff4-dev (>= 3.7.3), libavahi-client-dev (>= 0.4),
 libavahi-qt3-dev (>= 0.4), libxml2-dev, libxml2-utils, libxslt1-dev,
 sharutils, texinfo, pkg-kde-tools,
 gettext-kde, kdesdk-scripts, lsb-release, sudo
Build-Depends-Indep: doxygen, qt3-doc, graphviz, gsfonts-x11
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-kde/trunk/packages/kde3libs
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kde3libs

Package: kdelibs
Section: libs
Architecture: all
Depends: ${misc:Depends}, kdelibs4c2a (>= ${binary:Version}), kdelibs-data (>= ${source:Version})
Description: core libraries from the official KDE release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the core KDE libraries, binaries, and data,
 needed by virtually all KDE applications. It does not include
 development files.

Package: kdelibs-data
Section: libs
Architecture: all
Depends: ${misc:Depends}, hicolor-icon-theme, kdelibs5-data
Conflicts: kdelibs4
Replaces: kdeartwork-style (<< 4:3.4.0), konq-plugins (<< 4:3.4.0),
 ksvg (<< 4:3.4.0), kpackage (<< 4:3.4.2), kicker (<< 4:3.5-rc1),
 kttsd (<< 4:3.5-rc1), kdevelop3-data (<< 4:3.3.0), libdjvulibre1,
 libdjvulibre15 (<< 3.5.16-2), krita (= 1:1.4.90.1-1), digikam (<< 0.8.1-3),
 kaffeine (<< 0.8.1-3)
Description: core shared data for all KDE applications
 This package contains all the architecture independent data files
 commonly used by KDE applications. You need these data files to run
 KDE applications.
 .
 This package is part of KDE, and a component of the KDE libraries module.
 See the 'kde' and 'kdelibs' packages for more information.

Package: kdelibs4c2a
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, kdelibs-data (>> ${KDE-Version3}),
 kdelibs-data (<< ${KDE-Next-Version3}), perl, x11-xserver-utils, xauth,
 launchpad-integration, sudo
Recommends: xdg-user-dirs
Suggests: perl-suid, ghostscript
Conflicts: kdelibs4, kdelibs4c2, kdelibs-bin (<< 4:3.3.3), kdelibs4-dev (<< 4:3.5.7.dfsg.1-6), kdebase-kio-plugins (<= 4:3.5.9.dfsg.1-1)
Replaces: kdelibs4, kdelibs4c2, kdeartwork-style (<< 4:3.4.0),
 kcontrol (<< 4:3.4.0), kdelibs-bin (<< 4:3.5.3-1),
 kdelibs4-dev (= 4:3.5.7.dfsg.1-5)
Description: core libraries and binaries for all KDE applications
 This package contains all the shared libraries and common core binaries
 used by all KDE applications. You need these libraries and binaries to
 run KDE applications.
 .
 Several scripts included in kdebase-bin, related to the handling of SMB
 and NFS shares, require the perl-suid package to work properly.
 .
 This package is part of KDE, and a component of the KDE libraries module.
 See the 'kde' and 'kdelibs' packages for more information.

Package: kdelibs4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, kdelibs4c2a (= ${binary:Version}),
 libart-2.0-dev (>= 2.3.17),
 ${libasound2-dev}, libacl1-dev, libattr1-dev,
 libaspell-dev, libbz2-dev, libcups2-dev,
 libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev,
 libopenexr-dev (>= 1.2.2-4.1), libpcre3-dev, liblualib50-dev,
 libqt3-mt-dev (>= 3:3.3.5), libsasl2-dev, libssl-dev,
 libtiff4-dev (>= 3.7.3-1), libxml2-dev, libxml2-utils, libxslt1-dev,
 libavahi-client-dev (>= 0.4), libavahi-qt3-dev (>= 0.4), gettext-kde, kdesdk-scripts
Provides: kdelibs-dev
Replaces: kdebase-dev (<< 4:3.4.0), kdelibs4c2a (<< 4:3.5.8-3ubuntu2)
Description: development files for the KDE core libraries
 This package contains all the headers and other related files needed
 to compile KDE applications, or develop applications which use the
 core KDE libraries.
 .
 This package is part of KDE, and a component of the KDE libraries module.
 See the 'kde' and 'kdelibs' packages for more information.

Package: kdelibs-dbg
Section: debug
Architecture: any
Priority: extra
Conflicts: kdelibs4-dbg, kdelibs4c2-dbg, kdelibs4c2a-dbg
Replaces: kdelibs4-dbg, kdelibs4c2-dbg, kdelibs4c2a-dbg
Depends: ${misc:Depends}, kdelibs4c2a (= ${binary:Version}), qt-x11-free-dbg, libc6-dbg [amd64]
Description: debugging symbols for kdelibs
 This package contains the debugging symbols associated with kdelibs.
 They will automatically be used by gdb for debugging kdelibs-related
 issues.
