=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/debian-qt-kde.mk
include /usr/share/cdbs/1/rules/utils.mk

LDFLAGS += -Wl,--add-needed

# disable parallel building
DEB_BUILD_PARALLEL=

#not for Kubuntu
#DEB_KDE_APIDOX := yes                                                                                                                   

version=Debian Package $(DEB_VERSION)
DEB_OPT_FLAG += -DDEBIAN_VERSION=$(DEB_VERSION)

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-mitshm --with-alsa --enable-dnotify --enable-inotify \
	--with-lua-includes=/usr/include/lua50  \
	--with-distribution="Kubuntu (`lsb_release --codename --short`) $(DEB_VERSION)" --with-sudo-kdesu-backend \
	--without-arts

DEB_FIXPERMS_EXCLUDE := \
	usr/bin/fileshareset	\
	usr/bin/kgrantpty	\
	usr/bin/kpac_dhcp_helper \
	usr/bin/start_kdeinit

DEB_DH_STRIP_ARGS  := --dbg-package=kdelibs-dbg

DEB_DH_MAKESHLIBS_ARGS_kdelibs4c2a := -V'kdelibs4c2a (>= 4:3.5.9)'

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

binary-install/kdelibs-data::
	install -p -D -m644 kded/applications.menu debian/kdelibs-data/etc/xdg/menus/kde-applications.menu
	uudecode debian/icons/aboutkde-kubuntu.png.uu -o debian/kdelibs-data/usr/share/apps/kdeui/pics/aboutkde.png

	uudecode debian/icons/cr16-device-system.png.uu -o debian/kdelibs-data/usr/share/icons/crystalsvg/16x16/devices/system.png
	uudecode debian/icons/cr22-device-system.png.uu -o debian/kdelibs-data/usr/share/icons/crystalsvg/22x22/devices/system.png
	uudecode debian/icons/cr32-device-system.png.uu -o debian/kdelibs-data/usr/share/icons/crystalsvg/32x32/devices/system.png
	uudecode debian/icons/cr48-device-system.png.uu -o debian/kdelibs-data/usr/share/icons/crystalsvg/48x48/devices/system.png
	uudecode debian/icons/cr64-device-system.png.uu -o debian/kdelibs-data/usr/share/icons/crystalsvg/64x64/devices/system.png
	uudecode debian/icons/cr128-device-system.png.uu -o debian/kdelibs-data/usr/share/icons/crystalsvg/128x128/devices/system.png
#	uudecode debian/icons/crsc-device-system.svgz.uu -o debian/kdelibs-data/usr/share/icons/crystalsvg/scalable/devices/system.svgz

	uudecode debian/icons/cr16-action-hibernate.png.uu -o debian/kdelibs-data/usr/share/icons/crystalsvg/16x16/actions/hibernate.png
	uudecode debian/icons/cr22-action-hibernate.png.uu -o debian/kdelibs-data/usr/share/icons/crystalsvg/22x22/actions/hibernate.png
	uudecode debian/icons/cr32-action-hibernate.png.uu -o debian/kdelibs-data/usr/share/icons/crystalsvg/32x32/actions/hibernate.png
	uudecode debian/icons/cr48-action-hibernate.png.uu -o debian/kdelibs-data/usr/share/icons/crystalsvg/48x48/actions/hibernate.png

	uudecode debian/icons/cr16-action-suspend.png.uu -o debian/kdelibs-data/usr/share/icons/crystalsvg/16x16/actions/suspend.png
	uudecode debian/icons/cr22-action-suspend.png.uu -o debian/kdelibs-data/usr/share/icons/crystalsvg/22x22/actions/suspend.png
	uudecode debian/icons/cr32-action-suspend.png.uu -o debian/kdelibs-data/usr/share/icons/crystalsvg/32x32/actions/suspend.png
	uudecode debian/icons/cr48-action-suspend.png.uu -o debian/kdelibs-data/usr/share/icons/crystalsvg/48x48/actions/suspend.png

###

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

binary-predeb/kdelibs4-dev::
ifeq (linux,$(DEB_HOST_ARCH_OS))
	echo "libasound2-dev=libasound2-dev" >> debian/kdelibs4-dev.substvars
endif

common-install-prehook-impl::
	mkdir -p po
	-XGETTEXT=/usr/bin/kde-xgettext EXTRACTATTR=/usr/bin/extractattr sh $(DEB_SRCDIR)/admin/cvs.sh extract-messages
	-for file in po/*pot; do \
		sed "s/charset=CHARSET/charset=UTF-8/" -i $$file; \
	done

	msgcat --use-first kde.pot po/kdelibs.pot > kdelibs.pot-merged
	mv -f kdelibs.pot-merged po/kdelibs.pot

	# generate .po files for .desktop etc files
	if [ -f debian/kubuntu-desktop-i18n/createdesktop.pl ]; then \
	  sh debian/kubuntu-desktop-i18n/findfiles LIST; \
	  cat LIST; \
	  perl debian/kubuntu-desktop-i18n/createdesktop.pl --file-list=LIST --base-dir=. > desktop.$(DEB_SOURCE_PACKAGE).tmp; \
	  msguniq --to-code=UTF-8 --no-wrap -o desktop.$(DEB_SOURCE_PACKAGE) desktop.$(DEB_SOURCE_PACKAGE).tmp 2>/dev/null; \
	  python debian/kubuntu-desktop-i18n/msgsplit desktop.$(DEB_SOURCE_PACKAGE); \
	  mv desktop.$(DEB_SOURCE_PACKAGE) po/desktop_$(DEB_SOURCE_PACKAGE).pot; \
	  rm -f desktop.$(DEB_SOURCE_PACKAGE) desktop.$(DEB_SOURCE_PACKAGE).tmp; \
	  # add translation domain to files \
	  for file in `cat LIST`; do \
	    echo X-Ubuntu-Gettext-Domain=desktop_$(DEB_SOURCE_PACKAGE) >> $${file}; \
	  done; \
	  rm -f LIST; \
	fi

common-install-arch::
	for file in debian/tmp/usr/lib/*.la; do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
	done

common-binary-predeb-indep::
	-for file in `find ./ -name '*.pot'`; do\
		if [ ! `echo $$file | grep './po/'` ] && [ ! `echo $$file | grep './debian/'` ]; then\
			rm -f $$file;\
		fi;\
	done
